import pandas as pd
import numpy as np

# generate 8 fold split of user indexes 
shuffled_uniq_client_ids = pd.read_csv("/wd/data/train_target.csv").id.unique()
np.random.shuffle(shuffled_uniq_client_ids)
train_test_split_ratio = 1-0.125

for i in range(8):
    train_uniq_client_ids_path = f"fold{i}_train_ids.csv"
    test_uniq_client_ids_path = f"fold{i}_test_ids.csv"
    shuffled_uniq_client_ids = np.roll(shuffled_uniq_client_ids, shift=len(shuffled_uniq_client_ids)//8)
    pd.Series(shuffled_uniq_client_ids[:len(shuffled_uniq_client_ids)//8]).to_csv(test_uniq_client_ids_path, index=False)
    pd.Series(shuffled_uniq_client_ids[len(shuffled_uniq_client_ids)//8:]).to_csv(train_uniq_client_ids_path, index=False)